| Version: 3.2.5

Classes | Macros | Typedefs | Enumerations | Variables
textctrl.h File Reference

## Classes

class | wxTextAttr
| wxTextAttr represents the character and paragraph attributes, or style, for a range of text in a wxTextCtrl or wxRichTextCtrl. More...
class | wxTextProofOptions
| This class provides a convenient means of passing multiple parameters to wxTextCtrl::EnableProofCheck(). More...
class | wxTextCtrl
| A text control allows text to be displayed and edited. More...
class | wxTextUrlEvent
class | wxStreamToTextRedirector
| This class can be used to (temporarily) redirect all output sent to a C++ ostream object to a wxTextCtrl instead. More...

## Macros

#define | wxTE_NO_VSCROLL 0x0002
| wxTextCtrl style flags More...
#define | wxTE_READONLY 0x0010
#define | wxTE_MULTILINE 0x0020
#define | wxTE_PROCESS_TAB 0x0040
#define | wxTE_LEFT 0x0000
#define | wxTE_CENTER wxALIGN_CENTER_HORIZONTAL
#define | wxTE_RIGHT wxALIGN_RIGHT
#define | wxTE_CENTRE wxTE_CENTER
#define | wxTE_RICH 0x0080
#define | wxTE_PROCESS_ENTER 0x0400
#define | wxTE_PASSWORD 0x0800
#define | wxTE_AUTO_URL 0x1000
#define | wxTE_NOHIDESEL 0x2000
#define | wxTE_DONTWRAP wxHSCROLL
#define | wxTE_CHARWRAP 0x4000
#define | wxTE_WORDWRAP 0x0001
#define | wxTE_BESTWRAP 0x0000
#define | wxTE_RICH2 0x8000
#define | wxTEXT_TYPE_ANY 0

## Typedefs

typedef long | wxTextCoord
| wxTextCoord is a line or row number More...

## Enumerations

enum | wxTextAttrAlignment { wxTEXT_ALIGNMENT_DEFAULT , wxTEXT_ALIGNMENT_LEFT , wxTEXT_ALIGNMENT_CENTRE , wxTEXT_ALIGNMENT_CENTER = wxTEXT_ALIGNMENT_CENTRE , wxTEXT_ALIGNMENT_RIGHT , wxTEXT_ALIGNMENT_JUSTIFIED }
| One of the following values can be passed to wxTextAttr::SetAlignment to determine paragraph alignment. More...

enum

wxTextAttrFlags {
wxTEXT_ATTR_TEXT_COLOUR = 0x00000001 ,
wxTEXT_ATTR_BACKGROUND_COLOUR = 0x00000002 ,
wxTEXT_ATTR_FONT_FACE = 0x00000004 ,
wxTEXT_ATTR_FONT_POINT_SIZE = 0x00000008 ,
wxTEXT_ATTR_FONT_PIXEL_SIZE = 0x10000000 ,
wxTEXT_ATTR_FONT_WEIGHT = 0x00000010 ,
wxTEXT_ATTR_FONT_ITALIC = 0x00000020 ,
wxTEXT_ATTR_FONT_UNDERLINE = 0x00000040 ,
wxTEXT_ATTR_FONT_STRIKETHROUGH = 0x08000000 ,
wxTEXT_ATTR_FONT_ENCODING = 0x02000000 ,
wxTEXT_ATTR_FONT_FAMILY = 0x04000000 ,
wxTEXT_ATTR_FONT_SIZE ,
wxTEXT_ATTR_FONT ,
wxTEXT_ATTR_ALIGNMENT = 0x00000080 ,
wxTEXT_ATTR_LEFT_INDENT = 0x00000100 ,
wxTEXT_ATTR_RIGHT_INDENT = 0x00000200 ,
wxTEXT_ATTR_TABS = 0x00000400 ,
wxTEXT_ATTR_PARA_SPACING_AFTER = 0x00000800 ,
wxTEXT_ATTR_PARA_SPACING_BEFORE = 0x00001000 ,
wxTEXT_ATTR_LINE_SPACING = 0x00002000 ,
wxTEXT_ATTR_CHARACTER_STYLE_NAME = 0x00004000 ,
wxTEXT_ATTR_PARAGRAPH_STYLE_NAME = 0x00008000 ,
wxTEXT_ATTR_LIST_STYLE_NAME = 0x00010000 ,
wxTEXT_ATTR_BULLET_STYLE = 0x00020000 ,
wxTEXT_ATTR_BULLET_NUMBER = 0x00040000 ,
wxTEXT_ATTR_BULLET_TEXT = 0x00080000 ,
wxTEXT_ATTR_BULLET_NAME = 0x00100000 ,
wxTEXT_ATTR_BULLET ,
wxTEXT_ATTR_URL = 0x00200000 ,
wxTEXT_ATTR_PAGE_BREAK = 0x00400000 ,
wxTEXT_ATTR_EFFECTS = 0x00800000 ,
wxTEXT_ATTR_OUTLINE_LEVEL = 0x01000000 ,
wxTEXT_ATTR_AVOID_PAGE_BREAK_BEFORE = 0x20000000 ,
wxTEXT_ATTR_AVOID_PAGE_BREAK_AFTER = 0x40000000 ,
wxTEXT_ATTR_CHARACTER ,
wxTEXT_ATTR_PARAGRAPH ,
wxTEXT_ATTR_ALL = (wxTEXT_ATTR_CHARACTER|wxTEXT_ATTR_PARAGRAPH)
}

| The following values are passed in a bitlist to wxTextAttr::SetFlags() to determine what attributes will be considered when setting the attributes for a text control. More...

enum

wxTextAttrBulletStyle {
wxTEXT_ATTR_BULLET_STYLE_NONE = 0x00000000 ,
wxTEXT_ATTR_BULLET_STYLE_ARABIC = 0x00000001 ,
wxTEXT_ATTR_BULLET_STYLE_LETTERS_UPPER = 0x00000002 ,
wxTEXT_ATTR_BULLET_STYLE_LETTERS_LOWER = 0x00000004 ,
wxTEXT_ATTR_BULLET_STYLE_ROMAN_UPPER = 0x00000008 ,
wxTEXT_ATTR_BULLET_STYLE_ROMAN_LOWER = 0x00000010 ,
wxTEXT_ATTR_BULLET_STYLE_SYMBOL = 0x00000020 ,
wxTEXT_ATTR_BULLET_STYLE_BITMAP = 0x00000040 ,
wxTEXT_ATTR_BULLET_STYLE_PARENTHESES = 0x00000080 ,
wxTEXT_ATTR_BULLET_STYLE_PERIOD = 0x00000100 ,
wxTEXT_ATTR_BULLET_STYLE_STANDARD = 0x00000200 ,
wxTEXT_ATTR_BULLET_STYLE_RIGHT_PARENTHESIS = 0x00000400 ,
wxTEXT_ATTR_BULLET_STYLE_OUTLINE = 0x00000800 ,
wxTEXT_ATTR_BULLET_STYLE_ALIGN_LEFT = 0x00000000 ,
wxTEXT_ATTR_BULLET_STYLE_ALIGN_RIGHT = 0x00001000 ,
wxTEXT_ATTR_BULLET_STYLE_ALIGN_CENTRE = 0x00002000 ,
wxTEXT_ATTR_BULLET_STYLE_CONTINUATION = 0x00004000
}

| Styles for wxTextAttr::SetBulletStyle. More...

enum

wxTextAttrEffects {
wxTEXT_ATTR_EFFECT_NONE = 0x00000000 ,
wxTEXT_ATTR_EFFECT_CAPITALS = 0x00000001 ,
wxTEXT_ATTR_EFFECT_SMALL_CAPITALS = 0x00000002 ,
wxTEXT_ATTR_EFFECT_STRIKETHROUGH = 0x00000004 ,
wxTEXT_ATTR_EFFECT_DOUBLE_STRIKETHROUGH = 0x00000008 ,
wxTEXT_ATTR_EFFECT_SHADOW = 0x00000010 ,
wxTEXT_ATTR_EFFECT_EMBOSS = 0x00000020 ,
wxTEXT_ATTR_EFFECT_OUTLINE = 0x00000040 ,
wxTEXT_ATTR_EFFECT_ENGRAVE = 0x00000080 ,
wxTEXT_ATTR_EFFECT_SUPERSCRIPT = 0x00000100 ,
wxTEXT_ATTR_EFFECT_SUBSCRIPT = 0x00000200 ,
wxTEXT_ATTR_EFFECT_RTL = 0x00000400 ,
wxTEXT_ATTR_EFFECT_SUPPRESS_HYPHENATION = 0x00001000
}

| Styles for wxTextAttr::SetTextEffects(). More...
enum | wxTextAttrLineSpacing { wxTEXT_ATTR_LINE_SPACING_NORMAL = 10 , wxTEXT_ATTR_LINE_SPACING_HALF = 15 , wxTEXT_ATTR_LINE_SPACING_TWICE = 20 }
| Convenience line spacing values; see wxTextAttr::SetLineSpacing(). More...
enum | wxTextAttrUnderlineType { wxTEXT_ATTR_UNDERLINE_NONE , wxTEXT_ATTR_UNDERLINE_SOLID , wxTEXT_ATTR_UNDERLINE_DOUBLE , wxTEXT_ATTR_UNDERLINE_SPECIAL }
| Underline types that can be used in wxTextAttr::SetFontUnderline(). More...
enum | wxTextCtrlHitTestResult { wxTE_HT_UNKNOWN = -2 , wxTE_HT_BEFORE , wxTE_HT_ON_TEXT , wxTE_HT_BELOW , wxTE_HT_BEYOND }
| Describes the possible return values of wxTextCtrl::HitTest(). More...

## Variables

wxEventType | wxEVT_TEXT
wxEventType | wxEVT_TEXT_ENTER
wxEventType | wxEVT_TEXT_URL
wxEventType | wxEVT_TEXT_MAXLEN

## Macro Definition Documentation

## ◆ wxTE_AUTO_URL

#define wxTE_AUTO_URL 0x1000

## ◆ wxTE_BESTWRAP

#define wxTE_BESTWRAP 0x0000

## ◆ wxTE_CENTER

#define wxTE_CENTER wxALIGN_CENTER_HORIZONTAL

## ◆ wxTE_CENTRE

#define wxTE_CENTRE wxTE_CENTER

## ◆ wxTE_CHARWRAP

#define wxTE_CHARWRAP 0x4000

## ◆ wxTE_DONTWRAP

#define wxTE_DONTWRAP wxHSCROLL

## ◆ wxTE_LEFT

#define wxTE_LEFT 0x0000

## ◆ wxTE_MULTILINE

#define wxTE_MULTILINE 0x0020

## ◆ wxTE_NO_VSCROLL

#define wxTE_NO_VSCROLL 0x0002

wxTextCtrl style flags

## ◆ wxTE_NOHIDESEL

#define wxTE_NOHIDESEL 0x2000

## ◆ wxTE_PASSWORD

#define wxTE_PASSWORD 0x0800

## ◆ wxTE_PROCESS_ENTER

#define wxTE_PROCESS_ENTER 0x0400

## ◆ wxTE_PROCESS_TAB

#define wxTE_PROCESS_TAB 0x0040

## ◆ wxTE_READONLY

#define wxTE_READONLY 0x0010

## ◆ wxTE_RICH

#define wxTE_RICH 0x0080

## ◆ wxTE_RICH2

#define wxTE_RICH2 0x8000

## ◆ wxTE_RIGHT

#define wxTE_RIGHT wxALIGN_RIGHT

## ◆ wxTE_WORDWRAP

#define wxTE_WORDWRAP 0x0001

## ◆ wxTEXT_TYPE_ANY

#define wxTEXT_TYPE_ANY 0

## Typedef Documentation

## ◆ wxTextCoord

typedef long wxTextCoord

wxTextCoord is a line or row number

## Enumeration Type Documentation

## ◆ wxTextAttrAlignment

enum wxTextAttrAlignment

One of the following values can be passed to wxTextAttr::SetAlignment to determine paragraph alignment.

Enumerator
wxTEXT_ALIGNMENT_DEFAULT |
wxTEXT_ALIGNMENT_LEFT |
wxTEXT_ALIGNMENT_CENTRE |
wxTEXT_ALIGNMENT_CENTER |
wxTEXT_ALIGNMENT_RIGHT |
wxTEXT_ALIGNMENT_JUSTIFIED | wxTEXT_ALIGNMENT_JUSTIFIED is implemented for wxTextCtrl under wxMSW, wxOSX and wxGTK. It is not implemented for wxRichTextCtrl. In the future, wxRichTextCtrl justification may be supported when printing or previewing only.

## ◆ wxTextAttrBulletStyle

enum wxTextAttrBulletStyle

Styles for wxTextAttr::SetBulletStyle.

They can be combined together as a bitlist.

Enumerator
wxTEXT_ATTR_BULLET_STYLE_NONE |
wxTEXT_ATTR_BULLET_STYLE_ARABIC |
wxTEXT_ATTR_BULLET_STYLE_LETTERS_UPPER |
wxTEXT_ATTR_BULLET_STYLE_LETTERS_LOWER |
wxTEXT_ATTR_BULLET_STYLE_ROMAN_UPPER |
wxTEXT_ATTR_BULLET_STYLE_ROMAN_LOWER |
wxTEXT_ATTR_BULLET_STYLE_SYMBOL |
wxTEXT_ATTR_BULLET_STYLE_BITMAP | wxTEXT_ATTR_BULLET_STYLE_BITMAP is unimplemented.
wxTEXT_ATTR_BULLET_STYLE_PARENTHESES |
wxTEXT_ATTR_BULLET_STYLE_PERIOD |
wxTEXT_ATTR_BULLET_STYLE_STANDARD |
wxTEXT_ATTR_BULLET_STYLE_RIGHT_PARENTHESIS |
wxTEXT_ATTR_BULLET_STYLE_OUTLINE |
wxTEXT_ATTR_BULLET_STYLE_ALIGN_LEFT |
wxTEXT_ATTR_BULLET_STYLE_ALIGN_RIGHT |
wxTEXT_ATTR_BULLET_STYLE_ALIGN_CENTRE |
wxTEXT_ATTR_BULLET_STYLE_CONTINUATION |

## ◆ wxTextAttrEffects

enum wxTextAttrEffects

Styles for wxTextAttr::SetTextEffects().

They can be combined together as a bitlist.

Of these, only wxTEXT_ATTR_EFFECT_CAPITALS, wxTEXT_ATTR_EFFECT_STRIKETHROUGH, wxTEXT_ATTR_EFFECT_SUPERSCRIPT and wxTEXT_ATTR_EFFECT_SUBSCRIPT are implemented.

Enumerator
wxTEXT_ATTR_EFFECT_NONE |
wxTEXT_ATTR_EFFECT_CAPITALS |
wxTEXT_ATTR_EFFECT_SMALL_CAPITALS |
wxTEXT_ATTR_EFFECT_STRIKETHROUGH |
wxTEXT_ATTR_EFFECT_DOUBLE_STRIKETHROUGH |
wxTEXT_ATTR_EFFECT_SHADOW |
wxTEXT_ATTR_EFFECT_EMBOSS |
wxTEXT_ATTR_EFFECT_OUTLINE |
wxTEXT_ATTR_EFFECT_ENGRAVE |
wxTEXT_ATTR_EFFECT_SUPERSCRIPT |
wxTEXT_ATTR_EFFECT_SUBSCRIPT |
wxTEXT_ATTR_EFFECT_RTL |
wxTEXT_ATTR_EFFECT_SUPPRESS_HYPHENATION |

## ◆ wxTextAttrFlags

enum wxTextAttrFlags

The following values are passed in a bitlist to wxTextAttr::SetFlags() to determine what attributes will be considered when setting the attributes for a text control.

Enumerator
wxTEXT_ATTR_TEXT_COLOUR |
wxTEXT_ATTR_BACKGROUND_COLOUR |
wxTEXT_ATTR_FONT_FACE |
wxTEXT_ATTR_FONT_POINT_SIZE |
wxTEXT_ATTR_FONT_PIXEL_SIZE |
wxTEXT_ATTR_FONT_WEIGHT |
wxTEXT_ATTR_FONT_ITALIC |
wxTEXT_ATTR_FONT_UNDERLINE |
wxTEXT_ATTR_FONT_STRIKETHROUGH |
wxTEXT_ATTR_FONT_ENCODING |
wxTEXT_ATTR_FONT_FAMILY |
wxTEXT_ATTR_FONT_SIZE |
wxTEXT_ATTR_FONT | Defined as the combination of all `wxTEXT_ATTR_FONT_*` values above.
wxTEXT_ATTR_ALIGNMENT |
wxTEXT_ATTR_LEFT_INDENT |
wxTEXT_ATTR_RIGHT_INDENT |
wxTEXT_ATTR_TABS |
wxTEXT_ATTR_PARA_SPACING_AFTER |
wxTEXT_ATTR_PARA_SPACING_BEFORE |
wxTEXT_ATTR_LINE_SPACING |
wxTEXT_ATTR_CHARACTER_STYLE_NAME |
wxTEXT_ATTR_PARAGRAPH_STYLE_NAME |
wxTEXT_ATTR_LIST_STYLE_NAME |
wxTEXT_ATTR_BULLET_STYLE |
wxTEXT_ATTR_BULLET_NUMBER |
wxTEXT_ATTR_BULLET_TEXT |
wxTEXT_ATTR_BULLET_NAME |
wxTEXT_ATTR_BULLET | Defined as the combination of all `wxTEXT_ATTR_BULLET_*` values above.
wxTEXT_ATTR_URL |
wxTEXT_ATTR_PAGE_BREAK |
wxTEXT_ATTR_EFFECTS |
wxTEXT_ATTR_OUTLINE_LEVEL |
wxTEXT_ATTR_AVOID_PAGE_BREAK_BEFORE |
wxTEXT_ATTR_AVOID_PAGE_BREAK_AFTER |
wxTEXT_ATTR_CHARACTER | Combines the styles `wxTEXT_ATTR_FONT`, `wxTEXT_ATTR_EFFECTS`, `wxTEXT_ATTR_BACKGROUND_COLOUR`, `wxTEXT_ATTR_TEXT_COLOUR`, `wxTEXT_ATTR_CHARACTER_STYLE_NAME`, `wxTEXT_ATTR_URL`.
wxTEXT_ATTR_PARAGRAPH | Combines all the styles regarding text paragraphs.
wxTEXT_ATTR_ALL | Combines all previous values.

## ◆ wxTextAttrLineSpacing

enum wxTextAttrLineSpacing

Convenience line spacing values; see wxTextAttr::SetLineSpacing().

Enumerator
wxTEXT_ATTR_LINE_SPACING_NORMAL |
wxTEXT_ATTR_LINE_SPACING_HALF |
wxTEXT_ATTR_LINE_SPACING_TWICE |

## ◆ wxTextAttrUnderlineType

enum wxTextAttrUnderlineType

Underline types that can be used in wxTextAttr::SetFontUnderline().

Since
  3.1.3

Enumerator
wxTEXT_ATTR_UNDERLINE_NONE |
wxTEXT_ATTR_UNDERLINE_SOLID |
wxTEXT_ATTR_UNDERLINE_DOUBLE |
wxTEXT_ATTR_UNDERLINE_SPECIAL |

## ◆ wxTextCtrlHitTestResult

enum wxTextCtrlHitTestResult

Describes the possible return values of wxTextCtrl::HitTest().

The element names correspond to the relationship between the point asked for and the character returned, e.g. `wxTE_HT_BEFORE` means that the point is before (leftward or upward) it and so on.

Enumerator
wxTE_HT_UNKNOWN | Indicates that wxTextCtrl::HitTest() is not implemented on this platform.
wxTE_HT_BEFORE | The point is before the character returned.
wxTE_HT_ON_TEXT | The point is directly on the character returned.
wxTE_HT_BELOW | The point is below the last line of the control.
wxTE_HT_BEYOND | The point is beyond the end of line containing the character returned.

## Variable Documentation

## ◆ wxEVT_TEXT

wxEventType wxEVT_TEXT

## ◆ wxEVT_TEXT_ENTER

wxEventType wxEVT_TEXT_ENTER

## ◆ wxEVT_TEXT_MAXLEN

wxEventType wxEVT_TEXT_MAXLEN

## ◆ wxEVT_TEXT_URL

wxEventType wxEVT_TEXT_URL